<?php

declare(strict_types = 1);

namespace Drupal\Tests\drucash\Kernel;

use Drupal\drucash\Entity\Transaction;
use Drupal\KernelTests\KernelTestBase;

/**
 * Tests the drucash_transaction entity.
 *
 * @group drucash
 */
final class TransactionEntityTest extends KernelTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = ['drucash', 'datetime'];

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();
    $this->installEntitySchema('drucash_transaction');
  }

  /**
   * Tests the creation of an entity.
   */
  public function testTransactioncreate() {
    $transaction = Transaction::create([]);
    $this->assertInstanceOf(Transaction::class, $transaction);
  }

  /**
   * Tests the entity getters and setters.
   */
  public function testGettersAndSetters() {

    $date = new \DateTime();
    $transaction = Transaction::create([]);
    $transaction->setAmount(20.44);
    $transaction->setDate($date);

    $this->assertEquals($date->getTimestamp(), $transaction->getDate()->getTimestamp());
    $this->assertEquals(20.44, $transaction->getAmount());
  }

}
